<h1 mat-dialog-title>
	<span fxFlex=""> Изменить статус </span>
	<button mat-icon-button [mat-dialog-close]="">
		<mat-icon svgIcon="close"></mat-icon>
	</button>
</h1>
<div mat-dialog-content>

	<div>
		<mat-form-field fxFlex="" appearance="fill">
			<mat-label> Выберите статус</mat-label>
			<mat-select [(ngModel)]="currStatus" [disabled]="isDisabled">

				<mat-option *ngFor="let item of statuses " [value]="item.code" [disabled]="disabledStatuses.indexOf(item.code) >= 0" >
					{{item.name}}
				</mat-option>


			</mat-select>

		</mat-form-field>

	</div>

	<div>
		<mat-form-field fxFlex="" appearance="fill">
			<mat-label>Комментарий</mat-label>
			<textarea matInput [(ngModel)]="comment" appNullValue rows="3" maxlength="500"></textarea>

		</mat-form-field>

	</div>



</div>
<div mat-dialog-actions align="end">
	<button mat-flat-button  color="primary" (click)="save()" [disabled]="currStatus == currStatus_c && !isDisabled" > Сохранить  </button>

</div>
